Main Page Namespace List Compound List File List Namespace Members Compound Members

# iFile.h File Reference

Interface for a file on a LEGO MINDSTORMS NXT. More...

`#include "platform.h"`
`#include "tStatus.h"`

Go to the source code of this file.

## Namespaces

namespace | nFANTOM100

## Compounds

class | nFANTOM100::iFile
| Interface to a file on a LEGO MINDSTORMS NXT. More...

## Typedefs

typedef ViObject | nFANTOM100_iFile

## Functions

nFANTOM100_kExport void _VI_FUNCC | nFANTOM100_iFile_getName (nFANTOM100_iFile filePtr, ViChar fileName[], ViStatus *status)
nFANTOM100_kExport ViUInt32 _VI_FUNCC | nFANTOM100_iFile_getSize (nFANTOM100_iFile filePtr, ViStatus *status)
nFANTOM100_kExport ViUInt32 _VI_FUNCC | nFANTOM100_iFile_getAvailableSize (nFANTOM100_iFile filePtr, ViStatus *status)
nFANTOM100_kExport void _VI_FUNCC | nFANTOM100_iFile_openForRead (nFANTOM100_iFile filePtr, ViStatus *status)
nFANTOM100_kExport void _VI_FUNCC | nFANTOM100_iFile_openForWrite (nFANTOM100_iFile filePtr, ViUInt32 sizeInBytes, ViStatus *status)
nFANTOM100_kExport void _VI_FUNCC | nFANTOM100_iFile_openForLinearWrite (nFANTOM100_iFile filePtr, ViUInt32 sizeInBytes, ViStatus *status)
nFANTOM100_kExport void _VI_FUNCC | nFANTOM100_iFile_openForDataWrite (nFANTOM100_iFile filePtr, ViUInt32 sizeInBytes, ViStatus *status)
nFANTOM100_kExport void _VI_FUNCC | nFANTOM100_iFile_openForDataAppend (nFANTOM100_iFile filePtr, ViStatus *status)
nFANTOM100_kExport void _VI_FUNCC | nFANTOM100_iFile_close (nFANTOM100_iFile filePtr, ViStatus *status)
nFANTOM100_kExport void _VI_FUNCC | nFANTOM100_iFile_read (nFANTOM100_iFile filePtr, ViPBuf bufferPtr, ViUInt32 numberOfBytes, ViStatus *status)
nFANTOM100_kExport void _VI_FUNCC | nFANTOM100_iFile_write (nFANTOM100_iFile filePtr, const ViByte bufferPtr[], ViUInt32 numberOfBytes, ViStatus *status)
nFANTOM100_kExport void _VI_FUNCC | nFANTOM100_iFile_remove (nFANTOM100_iFile filePtr, ViStatus *status)

## Detailed Description

Interface for a file on a LEGO MINDSTORMS NXT.

© Copyright 2005-2006, National Instruments Corporation. All rights reserved.